WordPress.org

Support

Support » How-To and Troubleshooting » Installation pb WP 2.8

Installation pb WP 2.8

  • Hi,
    The upgrade never finished and I have this error :

    Fatal error: Call to undefined method WordPress_Module::_weak_escape() in /homepages/6/d163886186/htdocs/pblog/wp-includes/wp-db.php on line 487

    You can see it here.
    Any idea ? Thank you.

Viewing 7 replies - 1 through 7 (of 7 total)
  • I tried the automatic and the manual upgrade…

    Have you looked (in FTP) to see if that file exists, or if it got corrupted somehow?

    If it’s not there, or if it’s not completely there, then just download wordpress from WordPress.org, find that file and upload it manually.

    Thank you nathanrice,
    I have overwritten wp-db.php and nothing works better.

    I have deleted the line 487 in wp-db.php and it seems to work :
    $data = $this->_weak_escape( $data );

    Read one report that this error could happen with a redirection plugin. Try deactivating all plugins, then reactivate, one-by-one to find the culprit.

    I deactivated all of my plugins and that fixed the problem. I’m trying to figure out my culprit now =] Thanks MichaelH

    I experienced the same problem when I upgraded from WP2.7 to WP2.8.2. I “solved” it by commenting out line 487. So far, I have not been able to locate the _weak_escape method. I wonder if it even exists…

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Installation pb WP 2.8’ is closed to new replies.
Skip to toolbar